
#ifndef PORYGONLANG_DIAGNOSTIC_HPP
#define PORYGONLANG_DIAGNOSTIC_HPP

#include "DiagnosticSeverity.hpp"
#include "DiagnosticCode.hpp"

class Diagnostic{
    DiagnosticSeverity _severity;
    DiagnosticCode _code;
    unsigned int _start;
    unsigned int _length;
public:
    Diagnostic(DiagnosticSeverity severity, DiagnosticCode code, unsigned int start, unsigned int length){
        _severity = severity;
        _code = code;
        _start = start;
        _length = length;
    }

    DiagnosticSeverity GetSeverity(){
        return _severity;
    }
    DiagnosticCode GetCode(){
        return _code;
    }

    unsigned int GetStartPosition(){
        return _start;
    }

    unsigned int GetLength(){
        return _length;
    }
};

#endif //PORYGONLANG_DIAGNOSTIC_HPP
