
#ifndef PORYGONLANG_DIAGNOSTICCODE_HPP
#define PORYGONLANG_DIAGNOSTICCODE_HPP

enum class DiagnosticCode{
    // Lex diagnostics
    UnexpectedCharacter,
    InvalidStringControlCharacter,

    // Parse diagnostics
    UnexpectedToken,

    // Bind diagnostics
    NoBinaryOperationFound,
    NoUnaryOperationFound,
    CantAssignVariable,
    VariableNotFound,
    ExpressionIsNotAFunction,
    ParameterCountMismatch,
    ParameterTypeMismatch,
    CantIndex,
    InvalidReturnType,
    ConditionNotABool,
    InvalidTableValueType,
    InvalidTypeName,
    UserDataFieldNoGetter,
    UserDataFieldNoSetter
};

#endif //PORYGONLANG_DIAGNOSTICCODE_HPP
